<mat-accordion>
  <mat-expansion-panel (closed)="panelOpenState.set(false)" (opened)="panelOpenState.set(true)"
                       [expanded]="panelOpenState()">
    <mat-expansion-panel-header>
      <mat-panel-title> Suche</mat-panel-title>
    </mat-expansion-panel-header>
    <form (ngSubmit)="searchSets(searchForm)" [formGroup]="searchForm" class="search__form">
      <mat-form-field class="search_form_field">
        <input formControlName="searchTerm" matInput
               placeholder="Bitte Suchbegriff/Setnummer angeben" type="text">
      </mat-form-field>
      <mat-action-row>
        <button [disabled]="!searchForm.valid" mat-flat-button type="submit"> Suchen</button>
      </mat-action-row>
    </form>
  </mat-expansion-panel>
</mat-accordion>

<div class="stretch">
  <div class="searchResult">
    @for (set of brickSets(); track set) {
      <div class="set">
        <div class="cover" [style.background-image]="'url(' + set.set_img_url + ')'">
          <button mat-button class="set_number">
            <mat-icon>tag</mat-icon>
            {{ set.set_num }}
          </button>
          @if (set.num_parts > 0) {
            <div class="setPartCount">
              {{ set.num_parts }} Teile
            </div>
          }
          <div class="card-back">
            <button mat-button class="set_title">
              {{ set.name }}
            </button>
            <button mat-button class="set_parts" (click)="getBrickList( set.set_num )">
              <mat-icon>widgets</mat-icon>
              {{ set.num_parts }}
            </button>
          </div>
        </div>
      </div>
    } @empty {
      <p>Kein Set gefunden</p>
    }
  </div>
</div>
